import dynamix_sdk.base as _base


class CloudbrokerStoragePolicyEnableResultBool(_base.BaseAPIResultBool):
    pass


class CloudbrokerStoragePolicyEnableProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def enable(
        self,
        *,
        storage_policy_id: int,
    ) -> CloudbrokerStoragePolicyEnableResultBool:
        ...
